> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meteroid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get OAuth app

> Retrieve an OAuth application by ID.



## OpenAPI

````yaml https://api.meteroid.com/api-docs/openapi.json get /api/v1/oauth-apps/{id}
openapi: 3.1.0
info:
  title: meteroid
  description: ''
  license:
    name: LicenseRef-Proprietary
    identifier: LicenseRef-Proprietary
  version: 0.1.0
servers: []
security: []
tags:
  - name: Meteroid
    description: Meteroid API
  - name: Add-ons
  - name: Batch Jobs
  - name: Checkout Sessions
  - name: Connect
    description: Manage connected accounts (Express & Standard)
  - name: Coupons
  - name: Credit Notes
  - name: Customers
  - name: Entitlements
  - name: Events
  - name: Features
  - name: Invoices
  - name: Metrics
  - name: OAuth
    description: OAuth 2.0 token endpoints (public, client-credentials auth)
  - name: OAuth Apps
    description: Manage OAuth applications for Connect integrations
  - name: Plans
  - name: Product Families
  - name: Products
  - name: Subscriptions
  - name: Usage
paths:
  /api/v1/oauth-apps/{id}:
    get:
      tags:
        - OAuth Apps
      summary: Get OAuth app
      description: Retrieve an OAuth application by ID.
      operationId: get_oauth_app
      parameters:
        - name: id
          in: path
          description: OAuth app ID
          required: true
          schema:
            $ref: '#/components/schemas/OAuthAppId'
      responses:
        '200':
          description: OAuth app
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuthApp'
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    OAuthAppId:
      type: string
      format: MeteroidId
      examples:
        - app_7n42DGM5Tflk9n8mt7Fhc7
    OAuthApp:
      type: object
      description: An OAuth application registered by a platform
      required:
        - id
        - organization_id
        - name
        - client_id
        - client_secret_hint
        - redirect_uris
        - scopes
        - is_active
        - created_at
      properties:
        client_id:
          type: string
        client_secret_hint:
          type: string
        created_at:
          type: string
          format: date-time
        id:
          $ref: '#/components/schemas/OAuthAppId'
        is_active:
          type: boolean
        name:
          type: string
        organization_id:
          $ref: '#/components/schemas/OrganizationId'
        redirect_uris:
          type: array
          items:
            type: string
        scopes:
          type: array
          items:
            type: string
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
    RestErrorResponse:
      type: object
      required:
        - code
        - message
      properties:
        code:
          $ref: '#/components/schemas/ErrorCode'
        message:
          type: string
    OrganizationId:
      type: string
      format: MeteroidId
      examples:
        - org_7n42DGM5Tflk9n8mt7Fhc7
    ErrorCode:
      type: string
      enum:
        - BAD_REQUEST
        - NOT_FOUND
        - CONFLICT
        - FORBIDDEN
        - UNAUTHORIZED
        - TOO_MANY_REQUESTS
        - INTERNAL_SERVER_ERROR
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer

````